{% load cms_tags staticfiles sekizai_tags menu_tags i18n analytical %}
<!doctype html>
<html lang="{{ LANGUAGE_CODE }}">
    <head>
        {% analytical_head_top %}
        <meta charset="utf-8">
        <title>{% block title %}{% page_attribute "page_title" %} | {{ request.site.name }}{% endblock title %}</title>
        <meta name="viewport" content="width=device-width,initial-scale=1.0">
        {% render_block "meta" %}
        {% block meta %}{% endblock meta %}

        <!-- Favicons -->
        <link href="{% static 'img/favicon.png' %}" rel="icon">
        <link href="{% static 'img/apple-touch-icon.png' %}" rel="apple-touch-icon">
        <link rel="stylesheet" href="{% static 'dashboard/css/bootstrap.min.css' %}">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'dashboard/css/shards-dashboards.1.3.1.min.css' %}">
        <link id="load-css-0" rel="stylesheet" type="text/css" href="https://www.gstatic.com/charts/48.1/css/core/tooltip.css">
        <link id="load-css-1" rel="stylesheet" type="text/css" href="https://www.gstatic.com/charts/48.1/css/util/util.css">

        {% render_block "css" %}
        
        {% if request.toolbar %}
        <style>
            .cms-toolbar-expanded .main-sidebar {
                margin-top: 45px;
            }
        </style>
        {% endif %}

        <style>
            .asteriskField {
                display: none;
            }
        </style>
        
        {% block css %}{% endblock css %}

        {% block head %}{% endblock head %}
        {% analytical_head_bottom %}
    </head>
    <body class="{% block body_class %}{% endblock body_class %}">
        {% cms_toolbar %}
        {% analytical_body_top %}
        <div class="container-fluid">
            <div class="row">
                {% block dashboard_sidebar %}{% endblock dashboard_sidebar %}
                <main class="main-content col-lg-10 col-md-9 col-sm-12 p-0 offset-lg-2 offset-md-3">
                    {% block dashboard_navbar %}{% endblock dashboard_navbar %}
                    <div class="main-content-container container-fluid px-4" data-aos="fade">
                        <!-- Page Header -->
                        <div class="page-header row no-gutters py-4">
                            <div class="col-12 col-sm-6 text-center text-sm-left mb-4 mb-sm-0">
                                <span class="text-uppercase page-subtitle">{% block page_subtitle %}{% trans "Overview" %}{% endblock page_subtitle %}</span>
                                <h3 class="page-title">{% block page_title %}{% trans "Dashboard" %}{% endblock page_title %}</h3>
                            </div>
                            <div class="col-12 col-sm-6 d-flex align-items-center">
                                <div class="d-inline-flex mb-sm-0 mx-auto ml-sm-auto mr-sm-0" role="group" aria-label="Page actions">
                                    {% block header_button %}{% endblock header_button %}
                                </div>
                            </div>
                        </div>
                        <!-- End Page Header -->
                        {% block content %}
                        <div class="error">
                            <div class="error__content">
                              <h2>500</h2>
                              <h3>{% trans "You don't seem to have created a Dashboard Page" %}</h3>
                              <p>{% trans "Press the following button to start." %}</p>
                              <a href="{% url 'admin:dashboard_dashboardpage_add' %}" type="button" class="btn btn-primary btn-pill">{% trans "New page" %}</a>
                            </div> <!-- / .error_content -->
                        </div>
                        {% endblock content %}
                    </div>
                    <footer class="main-footer d-flex p-2 px-3 bg-white border-top">
                        {% show_menu 0 1 100 100 "dashboard/menu.html" %}
                    </footer>
                </main>  
            </div>
        </div>
        
        <script src="{% static 'dashboard/js/jquery.min.js' %}"></script>
        <script src="{% static 'dashboard/js/bootstrap.min.js' %}"></script>
        <script src="{% static 'dashboard/js/Chart.min.js' %}"></script>
        <script src="{% static 'dashboard/js/shards-dashboards.1.3.1.min.js' %}"></script>
        <script type="text/javascript" charset="UTF-8" src="https://www.gstatic.com/charts/48.1/loader.js"></script>
        <script type="text/javascript" charset="UTF-8" src="https://www.gstatic.com/charts/48.1/js/jsapi_compiled_format_module.js"></script>
        <script type="text/javascript" charset="UTF-8" src="https://www.gstatic.com/charts/48.1/js/jsapi_compiled_default_module.js"></script>
        <script type="text/javascript" charset="UTF-8" src="https://www.gstatic.com/charts/48.1/js/jsapi_compiled_ui_module.js"></script>
        <script type="text/javascript" charset="UTF-8" src="https://www.gstatic.com/charts/48.1/js/jsapi_compiled_geochart_module.js"></script>
        {% render_block "js" %}
        {% block script %}{% endblock script %}
        {% analytical_body_bottom %}
    </body>
</html>